package com.pcloud.book.advertising.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.entity.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * cpa内容
 */
public class AdvertisingCpa extends BaseEntity{

    /**
     *标题
     */
    private String detailName;
    /**
     *广告详情方式
     */
    private String detailMode;
    /**
     *广告详情封面
     */
    private String coverPic;
    /**
     *广告详情优惠图
     */
    private String welfarePic;
    /**
     * 广告详情介绍
     */
    private String detailInfo;
    /**
     *广告报名表单是否校验手机号
     */
    private Boolean formMobileCheck;
    /**
     *广告报名表单备注
     */
    private String formRemark;
    /**
     *广告报名表单提交按钮
     */
    private String formButton;
    /**
     *广告报名表单跳转链接
     */
    private String formLink;
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date updateTime;
    /**
     * 预览链接
     */
    private String previewLink;

    /**
     * 报名选项设置
     */
    private List<AdvertisingBmOption> advertisingBmOptionList;

    /**
     * 多个上传文件
     */
    private List<AdvertisingDetailFile> advertisingDetailFileList;

    /**
     * 介绍视频
     */
    private String coverVideo;

    /**
     * 背景色
     */
    private String bgColor;

    /**
     * 成功提示，1-无提示，2-自定义内容
     */
    private Integer successToastType;

    /**
     * 成功提示，自定义内容
     */
    private String successToastContent;

    /**
     * 表单提交按钮类型，1-自定义内容，2-按钮图片
     */
    private Integer commitButtonType;

    /**
     * 表单提交按钮类型，自定义内容
     */
    private String commitButtonContent;

    /**
     * 表单提交按钮类型，按钮图片
     */
    private String commitButtonImage;

    /**
     * 吸底提交按钮类型，1-自定义内容，2-按钮图片
     */
    private Integer bottomButtonType;

    /**
     * 吸底提交按钮类型，自定义内容
     */
    private String bottomButtonContent;

    /**
     * 吸底提交按钮类型，按钮图片
     */
    private String bottomButtonImage;

    /**
     * 隐私协议,1-无，2-显示并勾选，3-显示未勾选
     */
    private Integer privacyAgreement;

    /**
     * 成功短信，1-不发送，2-发送固定模板
     */
    private Integer successEmail;

    /**
     * 跳转类型，1-统一跳转，2-自定义跳转
     */
    private Integer jumpStyle;

    private Long createUser;

    private Long updateUser;

    private String headPicture;

    private String coverVideoFileId;

    private Integer fileConvertState;

    private String coverVideoFileName;

    /**
     * 视频封面
     */
    private String videoCover;

    public String getVideoCover() {
        return videoCover;
    }

    public void setVideoCover(String videoCover) {
        this.videoCover = videoCover;
    }

    public String getCoverVideoFileId() {
        return coverVideoFileId;
    }

    public void setCoverVideoFileId(String coverVideoFileId) {
        this.coverVideoFileId = coverVideoFileId;
    }

    public Integer getFileConvertState() {
        return fileConvertState;
    }

    public void setFileConvertState(Integer fileConvertState) {
        this.fileConvertState = fileConvertState;
    }

    public String getCoverVideoFileName() {
        return coverVideoFileName;
    }

    public void setCoverVideoFileName(String coverVideoFileName) {
        this.coverVideoFileName = coverVideoFileName;
    }

    public String getHeadPicture() {
        return headPicture;
    }

    public void setHeadPicture(String headPicture) {
        this.headPicture = headPicture;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    public String getCoverVideo() {
        return coverVideo;
    }

    public void setCoverVideo(String coverVideo) {
        this.coverVideo = coverVideo;
    }

    public String getBgColor() {
        return bgColor;
    }

    public void setBgColor(String bgColor) {
        this.bgColor = bgColor;
    }

    public Integer getSuccessToastType() {
        return successToastType;
    }

    public void setSuccessToastType(Integer successToastType) {
        this.successToastType = successToastType;
    }

    public String getSuccessToastContent() {
        return successToastContent;
    }

    public void setSuccessToastContent(String successToastContent) {
        this.successToastContent = successToastContent;
    }

    public Integer getCommitButtonType() {
        return commitButtonType;
    }

    public void setCommitButtonType(Integer commitButtonType) {
        this.commitButtonType = commitButtonType;
    }

    public String getCommitButtonContent() {
        return commitButtonContent;
    }

    public void setCommitButtonContent(String commitButtonContent) {
        this.commitButtonContent = commitButtonContent;
    }

    public String getCommitButtonImage() {
        return commitButtonImage;
    }

    public void setCommitButtonImage(String commitButtonImage) {
        this.commitButtonImage = commitButtonImage;
    }

    public Integer getBottomButtonType() {
        return bottomButtonType;
    }

    public void setBottomButtonType(Integer bottomButtonType) {
        this.bottomButtonType = bottomButtonType;
    }

    public String getBottomButtonContent() {
        return bottomButtonContent;
    }

    public void setBottomButtonContent(String bottomButtonContent) {
        this.bottomButtonContent = bottomButtonContent;
    }

    public String getBottomButtonImage() {
        return bottomButtonImage;
    }

    public void setBottomButtonImage(String bottomButtonImage) {
        this.bottomButtonImage = bottomButtonImage;
    }

    public Integer getPrivacyAgreement() {
        return privacyAgreement;
    }

    public void setPrivacyAgreement(Integer privacyAgreement) {
        this.privacyAgreement = privacyAgreement;
    }

    public Integer getSuccessEmail() {
        return successEmail;
    }

    public void setSuccessEmail(Integer successEmail) {
        this.successEmail = successEmail;
    }

    public Integer getJumpStyle() {
        return jumpStyle;
    }

    public void setJumpStyle(Integer jumpStyle) {
        this.jumpStyle = jumpStyle;
    }

    public String getDetailName() {
        return detailName;
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName == null ? null : detailName.trim();
    }

    public String getDetailMode() {
        return detailMode;
    }

    public void setDetailMode(String detailMode) {
        this.detailMode = detailMode == null ? null : detailMode.trim();
    }

    public String getCoverPic() {
        return coverPic;
    }

    public void setCoverPic(String coverPic) {
        this.coverPic = coverPic == null ? null : coverPic.trim();
    }

    public String getWelfarePic() {
        return welfarePic;
    }

    public void setWelfarePic(String welfarePic) {
        this.welfarePic = welfarePic == null ? null : welfarePic.trim();
    }

    public Boolean getFormMobileCheck() {
        return formMobileCheck;
    }

    public void setFormMobileCheck(Boolean formMobileCheck) {
        this.formMobileCheck = formMobileCheck;
    }

    public String getFormRemark() {
        return formRemark;
    }

    public void setFormRemark(String formRemark) {
        this.formRemark = formRemark == null ? null : formRemark.trim();
    }

    public String getFormButton() {
        return formButton;
    }

    public void setFormButton(String formButton) {
        this.formButton = formButton == null ? null : formButton.trim();
    }

    public String getFormLink() {
        return formLink;
    }

    public void setFormLink(String formLink) {
        this.formLink = formLink == null ? null : formLink.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDetailInfo() {
        return detailInfo;
    }

    public void setDetailInfo(String detailInfo) {
        this.detailInfo = detailInfo == null ? null : detailInfo.trim();
    }

    public List<AdvertisingBmOption> getAdvertisingBmOptionList() {
        return advertisingBmOptionList;
    }

    public void setAdvertisingBmOptionList(List<AdvertisingBmOption> advertisingBmOptionList) {
        this.advertisingBmOptionList = advertisingBmOptionList;
    }

    public List<AdvertisingDetailFile> getAdvertisingDetailFileList() {
        return advertisingDetailFileList;
    }

    public void setAdvertisingDetailFileList(List<AdvertisingDetailFile> advertisingDetailFileList) {
        this.advertisingDetailFileList = advertisingDetailFileList;
    }

    public String getPreviewLink() {
        return previewLink;
    }

    public void setPreviewLink(String previewLink) {
        this.previewLink = previewLink;
    }
}